Добро пожаловать в форум, Guest  >>   Войти | Регистрация | Поиск | Правила | В избранное | Подписаться
Все форумы / Firebird, InterBase Новый топик    Ответить
Топик располагается на нескольких страницах: [1] 2   вперед  Ctrl      все
 Firebird 4.0, Debian 11 и Flamerobin  [new]
dedRasta
Member

Откуда:
Сообщений: 160
Устанавливал Firebird на Debian 11, вначале его родной 3.0 из репозитория (пришлось немного повозиться, хорошо, нашлась детальная инструкция Ковязина), а потом 4.0 из тарболла - это прошло настолько быстро и легко, что я даже не понял, что у меня уже работающий сервер: разархировал тарболл, запустил скрипт - и через секунды всё. Но вот такая неувязка: Flamerobin из Debian для установки требует FB3.0. А как его можно установить для работы с FB4.0?
6 окт 21, 20:02    [22380249]     Ответить | Цитировать Сообщить модератору
 Re: Firebird 4.0, Debian 11 и Flamerobin  [new]
Dimitry Sibiryakov
Member

Откуда:
Сообщений: 54772

google "debian install force nodep".

Posted via ActualForum NNTP Server 1.5

6 окт 21, 20:13    [22380254]     Ответить | Цитировать Сообщить модератору
 Re: Firebird 4.0, Debian 11 и Flamerobin  [new]
Док
Member

Откуда: Казань
Сообщений: 7217
dedRasta
Но вот такая неувязка: Flamerobin из Debian для установки требует FB3.0. А как его можно установить для работы с FB4.0?

FR жестко привязан к определенным симлинкам. Тут уже было обсуждение. Я после этого для себя разбросал хлебные крошки :)
7 окт 21, 14:23    [22380684]     Ответить | Цитировать Сообщить модератору
 Re: Firebird 4.0, Debian 11 и Flamerobin  [new]
rdb_dev
Member

Откуда: с болот
Сообщений: 3811
dedRasta, в зависимостях flamerobin есть зависимость от клиента, но не от сервера FirebirdSQL:
Зависит: libc6 (>= 2.14), libfbclient2 (>= 2.5.0.25784~ReleaseCandidate1.ds2),
libgcc-s1 (>= 3.0), libstdc++6 (>= 7), libwxbase3.0-0v5 (>=
3.0.5.1+dfsg), libwxgtk3.0-gtk3-0v5 (>= 3.0.5.1+dfsg)
Предварительно зависит: dpkg (>= 1.17.14)
Предлагает: firebird3.0-server
Так что можно смело поставить flamerobin не отказываясь от зависимостей вместе с клиентом v3.0.7, после чего накатить "четвёрочного" клиента. В результате, в каталоге "/lib/x86_64-linux-gnu" должно появиться что-то типа двух хардовых ссылок "libfbclient.so.3.0.7" и "libfbclient.so.4.0.0" и одна символическая "libfbclient.so.2" на "/lib/x86_64-linux-gnu/libfbclient.so.4.0.0".
7 окт 21, 14:43    [22380704]     Ответить | Цитировать Сообщить модератору
 Re: Firebird 4.0, Debian 11 и Flamerobin  [new]
rdb_dev
Member

Откуда: с болот
Сообщений: 3811
dedRasta, вообще, мне не очень понятно - зачем ставить flamerobin, если IBExpert неплохо работает под WINE'ом?
7 окт 21, 14:45    [22380705]     Ответить | Цитировать Сообщить модератору
 Re: Firebird 4.0, Debian 11 и Flamerobin  [new]
kdv
Member

Откуда: iBase.ru
Сообщений: 30245
rdb_dev,

ёкарный бабай... И после этого люди пропагандируют линукс...
Да какого фига этот флэймробин вообще привязан к каким-то файлам ФБ? Какое его собачье дело, какая версия ФБ у меня установлена - 1.5, 2.5, 3.0 или 4.0???
7 окт 21, 18:05    [22380850]     Ответить | Цитировать Сообщить модератору
 Re: Firebird 4.0, Debian 11 и Flamerobin  [new]
Dimitry Sibiryakov
Member

Откуда:
Сообщений: 54772

Версия ему пофиг, но какой-то клиент по-любому нужен, ибо домохозяйки с aptitude
и прочим гуём не будут устанавливать его ручками. А таки дурные майнтайнеры
дистра не соизволили создать пакет "Firebird Client, неважно какой", только "с
точностью до третьей цифры".

Posted via ActualForum NNTP Server 1.5

7 окт 21, 18:14    [22380854]     Ответить | Цитировать Сообщить модератору
 Re: Firebird 4.0, Debian 11 и Flamerobin  [new]
kdv
Member

Откуда: iBase.ru
Сообщений: 30245
Dimitry Sibiryakov
но какой-то клиент по-любому нужен

когда мне будет нужен "какой-то клиент", я его поставлю, сам, потом. Вообще вот эта система "репозитария" она с одной стороны ок, с другой стороны дурнина полная. Есть сторонний софт, нахрен мне ваш репозитарий, собственно. Скачаю со стороны и поставлю.
А то прямо какой-то AppStore или Google Store получается. Отсюда качай, да, а отсюда не качай, нет.
7 окт 21, 18:19    [22380860]     Ответить | Цитировать Сообщить модератору
 Re: Firebird 4.0, Debian 11 и Flamerobin  [new]
Мимопроходящий
Member

Откуда: бурятский тундрюк, эсквайр
Сообщений: 32886
kdv
Вообще вот эта система "репозитария" она с одной стороны ок, с другой стороны дурнина полная.
Есть сторонний софт, нахрен мне ваш репозитарий, собственно.
можешь добавить сторонний репозитарий в список доверенных.
kdv
А то прямо какой-то AppStore или Google Store получается. Отсюда качай, да, а отсюда не качай, нет.
мелкософт тоже настойчиво внедряет свой Store как единственный кошерный источник приложений.
народ пока ворчит, но куда ж они все с подводной лодки денутся!
7 окт 21, 18:25    [22380867]     Ответить | Цитировать Сообщить модератору
 Re: Firebird 4.0, Debian 11 и Flamerobin  [new]
kdv
Member

Откуда: iBase.ru
Сообщений: 30245
Мимопроходящий
мелкософт тоже настойчиво внедряет свой Store

я уже давно в курсе. мы покупаем сертификат для софта уже лет 5 непрерывно. Чтобы винда не материлась на инсталлятор.
7 окт 21, 18:27    [22380874]     Ответить | Цитировать Сообщить модератору
 Re: Firebird 4.0, Debian 11 и Flamerobin  [new]
ъъъъъ
Member

Откуда:
Сообщений: 2653
kdv
...мы покупаем сертификат для софта уже лет 5 непрерывно. Чтобы винда не материлась на инсталлятор.

Пугаешь.... я за инсталлятор в нашей конторе ответственный... что за сертификат?
7 окт 21, 19:50    [22380928]     Ответить | Цитировать Сообщить модератору
 Re: Firebird 4.0, Debian 11 и Flamerobin  [new]
rdb_dev
Member

Откуда: с болот
Сообщений: 3811
kdv
rdb_dev,

ёкарный бабай... И после этого люди пропагандируют линукс...
Да какого фига этот флэймробин вообще привязан к каким-то файлам ФБ? Какое его собачье дело, какая версия ФБ у меня установлена - 1.5, 2.5, 3.0 или 4.0???
kdv, видимо, следуют какой-то идеологии...
8 окт 21, 00:08    [22381009]     Ответить | Цитировать Сообщить модератору
 Re: Firebird 4.0, Debian 11 и Flamerobin  [new]
kdv
Member

Откуда: iBase.ru
Сообщений: 30245
ъъъъъ
что за сертификат?

"дикие люди, дети гор" :-)
ты свой инсталлятор под вин10 запускал? Оно там говорит, что вы пытаетесь запустить что-то ужасное, и т.д.
А если инсталлер подписан сертификатом, то всё ок.
Сертификат этот "code signing", например, Microsoft authenticode
https://www.globalsign.com/ru-ru/code-signing-certificate/microsoft-authenticode
это не для вебсайта, а именно для подписи приложений.
Там сертификаты есть простые, EV и OV. EV и OV нахер не надо, дорого.
Самое дешевое - у Comodo, где-то 25к руб на 3 года. У остальных - до 80к на те же 2-3 года.
https://ru.comodo.com/certificate/ssl/signin-cert.php
Кароч, ищите, и обрящете :-)

p.s. вообще для нормальной программерской конторы нужна херова пропасть всяких мутноватых подписок, увы. Наобум могу озвучить, что это где-то 150к руб в год, не меньше.
8 окт 21, 00:09    [22381010]     Ответить | Цитировать Сообщить модератору
 Re: Firebird 4.0, Debian 11 и Flamerobin  [new]
ъъъъъ
Member

Откуда:
Сообщений: 2653
kdv
ты свой инсталлятор под вин10 запускал? Оно там говорит, что вы пытаетесь запустить что-то ужасное, и т.д.

Вот только что приготовил свежий дистрибутив - пробовал его под Win10 - вроде всё нормально. Ну, если его первый раз запустить - инсталлятор анализирует ситуацию и, возможно сам себя перезапустит в режиме юзера с высокими правами (ибо нужна регистрация COM-серверов, инсталляция и настройка сервисов, драйверов и т.д.), тут диалог появится, да. А если программный комплекс уже был установлен, то, скорее всего, апдейт по-тихому пройдет...
8 окт 21, 07:34    [22381023]     Ответить | Цитировать Сообщить модератору
 Re: Firebird 4.0, Debian 11 и Flamerobin  [new]
Basil A. Sidorov
Member

Откуда:
Сообщений: 11465
ъъъъъ
что за сертификат?
Подписывание кода (OID 1.3.6.1.5.5.7.3.3).
Упрощает распространение приложений, обязательно для драйверов (отдельная инфрастрктура).

К сообщению приложен файл. Размер - 13Kb
8 окт 21, 07:38    [22381024]     Ответить | Цитировать Сообщить модератору
 Re: Firebird 4.0, Debian 11 и Flamerobin  [new]
ъъъъъ
Member

Откуда:
Сообщений: 2653
kdv
Оно там говорит, что вы пытаетесь запустить что-то ужасное

Это ты про "Разрешить этому приложению вносить изменения на вашем устройстве?"
И после "подписывания" этого сообщения не будет? Ради этого платить 80 000 рублей? Ооо... ...
8 окт 21, 07:46    [22381028]     Ответить | Цитировать Сообщить модератору
 Re: Firebird 4.0, Debian 11 и Flamerobin  [new]
Basil A. Sidorov
Member

Откуда:
Сообщений: 11465
ъъъъъ
Это ты про "Разрешить этому приложению вносить изменения на вашем устройстве?"
Вот именно это сообщение, скорее всего от UAC.
8 окт 21, 08:11    [22381035]     Ответить | Цитировать Сообщить модератору
 Re: Firebird 4.0, Debian 11 и Flamerobin  [new]
Док
Member

Откуда: Казань
Сообщений: 7217
kdv
ты свой инсталлятор под вин10 запускал? Оно там говорит, что вы пытаетесь запустить что-то ужасное, и т.д.
А если инсталлер подписан сертификатом, то всё ок.

винда все больше больше пытается стать огрызком. Теперь уже не только finder скопировали в проводник, но и gatekeeper в ОСь засунули. Тьфу...

rdb_dev
в зависимостях flamerobin есть зависимость от клиента, но не от сервера FirebirdSQL:

я то же про это сказал постом выше :)
8 окт 21, 11:00    [22381099]     Ответить | Цитировать Сообщить модератору
 Re: Firebird 4.0, Debian 11 и Flamerobin  [new]
kdv
Member

Откуда: iBase.ru
Сообщений: 30245
ъъъъъ,

нет, я про smartfilter, или как он там называется. При запуске инсталлятора винда выдает такое окно, что мол, приложение небезопасно, и чтобы его поставить, там доп. кнопочки скрытые надо нажимать.
8 окт 21, 13:19    [22381190]     Ответить | Цитировать Сообщить модератору
 Re: Firebird 4.0, Debian 11 и Flamerobin  [new]
ъъъъъ
Member

Откуда:
Сообщений: 2653
kdv
ъъъъъ,

нет, я про smartfilter, или как он там называется. При запуске инсталлятора винда выдает такое окно, что мол, приложение небезопасно, и чтобы его поставить, там доп. кнопочки скрытые надо нажимать.

Вот сейчас Setup запустил в Win10 - никаких дополнительных срытых кнопочек не вижу.
8 окт 21, 13:25    [22381196]     Ответить | Цитировать Сообщить модератору
 Re: Firebird 4.0, Debian 11 и Flamerobin  [new]
kdv
Member

Откуда: iBase.ru
Сообщений: 30245
ъъъъъ,

ты может что-то отрубил. А так окно штатно показывается для всех "скачанных" инсталляторов. Если инсталлятор подписан - выдается инфа. Если нет - выдается ужасное сообщение какое-то, не помню уже, а искать неподписанные инсталлеры влом.

вспомнил - это SmartScreen называется (в Вин10). Штатно включено, можно отключить или понизить предупреждения.

Сообщение было отредактировано: 8 окт 21, 14:07
8 окт 21, 14:09    [22381216]     Ответить | Цитировать Сообщить модератору
 Re: Firebird 4.0, Debian 11 и Flamerobin  [new]
Dimitry Sibiryakov
Member

Откуда:
Сообщений: 54772
А, тут ключевое слово именно "скачанный". Браузеры ставят флаг "опасный" на
скачанные файлы. Если хотят.

Необязательно искать инсталлятор, эта ругань будет на что угодно, включая HTML Help.

Сообщение было отредактировано: 8 окт 21, 14:09
8 окт 21, 14:18    [22381221]     Ответить | Цитировать Сообщить модератору
 Re: Firebird 4.0, Debian 11 и Flamerobin  [new]
Dimitry Sibiryakov
Member

Откуда:
Сообщений: 54772
Вот этот флаг в свойствах файла:

К сообщению приложен файл. Размер - 2Kb
8 окт 21, 14:27    [22381223]     Ответить | Цитировать Сообщить модератору
 Re: Firebird 4.0, Debian 11 и Flamerobin  [new]
ъъъъъ
Member

Откуда:
Сообщений: 2653
kdv
ъъъъъ,

ты может что-то отрубил. А так окно штатно показывается для всех "скачанных" инсталляторов. Если инсталлятор подписан - выдается инфа. Если нет - выдается ужасное сообщение какое-то, не помню уже, а искать неподписанные инсталлеры влом.
...

Ничего я не отрубал. У меня Win10 недавно инсталлирована, я и не знаю что там отрубать.
У нас тысячи клиентов, я этот инсталлятор уже бог знает сколько лет назад сделал, никто до сих пор пожаловался, что "не подписано". Перед каждым релизом что-о добавляется/изменяется, каждый тестируем на WinXP...Win10... что за скрытые "кнопки"?
8 окт 21, 14:31    [22381225]     Ответить | Цитировать Сообщить модератору
 Re: Firebird 4.0, Debian 11 и Flamerobin  [new]
dedRasta
Member

Откуда:
Сообщений: 160
Всем спасибо за помощь. Вчера достал старый ноут из кладовки, поставил на него дебиан, теперь можно будет дома разбираться. Походу узнал, что последняя версия флеймробина как раз хвастает поддержкой ф. 4, но деба ещё не выложили, только тарбол. Про установку айбиэксперта под вайн скачал целый талмуд, это похоже занятие не для слабонервных. Кстати, ноут у меня был под вистой и почти не шевелился под конец, за что и был послан в ссылку. Под дебианом вчера даже ютюб посмотрел через вайфай - подхватил не моргнув глазом все античные чипы. Только через блютузовые наушники заикается.
8 окт 21, 16:34    [22381310]     Ответить | Цитировать Сообщить модератору
Топик располагается на нескольких страницах: [1] 2   вперед  Ctrl      все
Все форумы / Firebird, InterBase Ответить